@echo off
setlocal enabledelayedexpansion

set "configFile=config_suc.json"
set "tempFile=temp.json"
set "searchText=urlareemplazar"
set /p replaceText=Ingresar URL servidor: 

REM Reemplazar todas las apariciones de "urlareemplazar" en el archivo config_suc.json
(for /f "usebackq delims=" %%I in ("%configFile%") do (
    set "line=%%I"
    set "line=!line:%searchText%=%replaceText%!"
    echo !line!
)) > "%tempFile%"

REM Sobrescribir el archivo config_suc.json con el archivo temporal
move /y "%tempFile%" "%configFile%" > nul

echo El texto se ha reemplazado correctamente.

@echo off
setlocal enabledelayedexpansion

set "configFile=config_suc.json"
set "tempFile=temp.json"
set "searchText=nombreimpresora"
set /p replaceText=Ingresar nombre local de la impresora: 

REM Reemplazar todas las apariciones de "nombreimpresora" en el archivo config_suc.json
(for /f "usebackq delims=" %%I in ("%configFile%") do (
    set "line=%%I"
    set "line=!line:%searchText%=%replaceText%!"
    echo !line!
)) > "%tempFile%"

REM Sobrescribir el archivo config_suc.json con el archivo temporal
move /y "%tempFile%" "%configFile%" > nul

echo El texto se ha reemplazado correctamente.

@echo off
setlocal enabledelayedexpansion

set "configFile=config_suc.json"
set "tempFile=temp.json"
set "searchText=tipodemodo"

echo Elija el modo de reemplazo:
echo 1. RAW
echo 2. Command
echo 3. USB
set /p mode=Ingrese el número correspondiente al modo deseado:

if "%mode%"=="1" (
    set "replaceText=raw"
) else if "%mode%"=="2" (
    set "replaceText=command"
) else if "%mode%"=="3" (
    set "replaceText=usb"
) else (
    echo Modo no válido.
    pause
    exit /b
)

REM Reemplazar todas las apariciones de "urlareemplazar" en el archivo config_suc.json
(for /f "usebackq delims=" %%I in ("%configFile%") do (
    set "line=%%I"
    set "line=!line:%searchText%=%replaceText%!"
    echo !line!
)) > "%tempFile%"

REM Sobrescribir el archivo config_suc.json con el archivo temporal
move /y "%tempFile%" "%configFile%" > nul

echo El texto se ha reemplazado correctamente.
pause
%homedir%\clientedeimpresion\instalarserviciobinario.bat
